Next  |  Prev  |  Up  |  Top  |  JOS Index  |  JOS Pubs  |  JOS Home  |  Search

Additional Installs on Mac OS X Mountain Lion

port install bonnie ;; disk benchmarks - would not compile before 9/2012
port install odt2txt
port install time-track-cli ;; time_track.tcl start|stop|status|summary
port install qtoctave-mac ;; trying out front end to octave: qtoctave
;; Work around a bug in the Faust distribution (10/5/12):
cd /usr/local/include/faust/gui/
ln ../audio/meta.h .
ln -s /Applications/Utilities/ /Applications/Utilities/
port install git-extras
port install lftp ;; how did I only now learn of this?!
port install texlive-pstricks
copy enumitem.sty subfigure.sty boxedminipage.sty epic.sty eepic.sty vmargin.sty from 2010 texlive distribution to personal folder of TeX input files (MacPorts texlive seems not to have them any more)
port install gnome-utils ;; => gnome-panel evolution-data-server gnuregex libgnome-keyring gnome-keyring libgweather libsoup glib-networking libproxy py27-pygtk libglade2 libical nss nspr gnome-desktop gnome-themes gtk-engines2 startup-notification gnome-menus libbonoboui libgnome libgnomecanvas libcanberra libwnck policykit-gnome libgtop
port install imaxima ;; use from Emacs
;; failed: port install wxMaxima
;; workaround:
;; get Portfile patch from 
;; and put it in /opt/local/var/macports/sources/
;; cd there and type
   patch Portfile Portfile.diff
   port install wxMaxima +wxWidgets30
;; This gets it built and installed, but then maxima crashes:
;; > maxima
;; fatal error encountered in SBCL..:
;; can't load .core for different runtime, sorry
;; After reading
;; and
;; and finding
;; I tried this:
svn co -r 98354
cd sbcl
port install
port -f uninstall maxima
port install maxima
;; However, this did not work for me. Trying a yet older version (1.0.58):
cd ..
mv sbcl sbcl-1.1.0_0
svn co -r 96403
;; reinstall maxima as above
;; still no luck
;; Since gdb is haywire in emacs:
;;   sudo port deactivate imaxima
;;   sudo port deactivate emacs
;; (using latest 
port install mplayer2 ;; working on class-video compression
;; pulls in a52dec enca fribidi libass libdca libdv libdvdnav libdvdread libdvdcss libquvi libquvi-scripts mesa xorg-dri2proto xorg-glproto py27-docutils py27-roman
;! sudo port install ffmpeg +nonfree
port install octave-specfun ;; for besseli(alpha,x,opt)
port install swig      ;; for faust2android
port install swig-java ;; for faust2android
port install f2c ;; fortran-to-c translator - for octave build from source
;; tried g95, but it was incompatible with libblas.dylib
;; manually install
;;  Had to add the following lines at line 191 or so:
;;    push(@includes, "-I/opt/local/include");
;;    push(@lopts, "-L/opt/local/lib");
port install atlas ;; for octave build - pulled in clang-3.3,llvm-3.3
;;  No luck: 64-bit architecture mismatch - giving up on this path for now..
;;  Next following advice at
port install octave-devel +atlas+docs
port install octave-signal ;; pulls in octave-control octave-optim octave-miscellaneous octave-general octave-struct octave-specfun
port install octave-plot ;; not sure this was needed (had a plot problem)
port install octave-audio ;; failed to install
port install octave-data-smoothing ;; looking for butter, actually
easy_install latex2markdown ;; for latex to mathjax conversion
     USAGE: python2.7 -m latex2markdown file.tex file.markdown
;; begin for git:
curl -s -O
chmod u+x git-credential-osxkeychain
mv git-credential-osxkeychain /usr/bin 
;; end for git

;; Really need octave-audio now - web search =>
;; Problem appears to be no ObjC support in gcc-mp - must force clang/llvm-gcc:
;; Modified (6/8/13) from
   mkdir /var/tmp/oct-5kFozQ
   cd /var/tmp/oct-5kFozQ/
   tar -zxvf /opt/local/var/macports/distfiles/octave-audio/audio-1.1.4.tar.gz
   cd audio-1.1.4/src/
   setenv CC clang
   make install

;; During upgrade, hit warning during octave-devel upgrade:
;;    WARNING: Dependency 'arpack' is installed with the +accelerate
;;    variant, using Apple's Vector Libraries which have known bugs that can
;;    cause Octave to crash if using certain functions in arpack.  The
;;    +atlas variant does not have these issues with Octave, and is
;;    considered by Octave developers a better way to go.
;; Also hit error: arpack: Variant openmpi conflicts with gcc43 =>
port install openmpi +atlas
port uninstall openmpi @1.7.2_0+gcc43
port uninstall gcc43
port install arpack +atlas
port uninstall octave-plot ;; shadows ginput, which is not yet working
port uninstall gnome-utils ;; need to upgrade bison =>
port uninstall libpanel-applet2
sudo port uninstall libgdata webkit-gtk yelp
port uninstall libquvi VLC avahi
port uninstall gnome-panel evolution-data-server gnuregex libgnome-keyring gnome-keyring libgweather libsoup glib-networking libproxy py27-pygtk libglade2 libical nss nspr gnome-desktop gnome-themes gtk-engines2 startup-notification gnome-menus libbonoboui libgnome libgnomecanvas libcanberra libwnck policykit-gnome libgtop
port uninstall gstreamer1 gstreamer010 gstreamer1-gst-plugins-base
port uninstall bison
port uninstall py27-nose py27-roman py27-numpy py27-docutils
port clean all
port install octave-devel +fltk +gcc47
;; Now, FINALLY, "graphics_toolkit fltk" works in octave and I can use uimenu and such in plots
svn checkout libyaml ;; need for smsPrint
sudo port install python27 ;; for mercurial
port install py27-docutils ;; for mercurial
svn checkout docutils ;; mercurial still not happy
  cd docutils/docutils
  python install
port install mercurial ;; finally!
hg clone ;; need for smsPrint
cd mat-yaml/mex-src
  mkoctfile -I/usr/local/include yaml_mex.c yaml_mex_util.c -lyaml
  cp yaml_mex.oct <where needed>
svn checkout svn:// freeframe-svn ;; messing around
port install tcl
/usr/sbin/apxs -q CC ;; is full of crap - make it work:
cd /Applications/
ln -s XcodeDefault.xctoolchain OSX10.8.xctoolchain
sudo touch /var/log/bluetoothAudio.log
sudo chmod 777 /var/log/bluetoothAudio.log
;; flail with bluetooth 
open /var/log/bluetoothAudio.log
defaults delete "Apple Initial Bitpool (editable)"
Install Virtual MIDI Piano Keyboard from .dmg:
Install SPAN spectrum analyzer AU plugin:
(Previously installed Blue Cat AU plugin "BC Freq Analyst")
port install octave-nan ;; statistics and machine learning toolbox for Octave
;; Resolve lack of llvm-3.0 support in Mavericks:
port install llvm-3.3
port install ld64 +llvm33
port install cctools +llvm33
port uninstall llvm-3.0
port upgrade outdated
;; octave snafu:
port uninstall octave-data-smoothing
port uninstall octave-optim
port uninstall octave-miscellaneous octave-signal
port uninstall octave-general octave-struct octave-specfun
;; more mavericks / MacPorts lossage:
port uninstall mp3blaster
port uninstall openjpeg
;; rebuild as needed:
port install octave-signal
port list installed | grep octave
;; have optim, misc, general, struct, specfun, leaving only
port install octave-data-smoothing
;; MacPorts stuff updated and error-free on 12/15/2013
port install netcdf ;; Network Common Data Form (NetCDF)
port install netcdf-cxx4 ;; NetCDF new C++ library
port install sox ;; how did I get by for so long?
;; download JACK OSX zip from
port install readline ;; for SuperCollider
port install emacs-w3m-devel ;; "
port install imaxima ;; GUI front-end for Maxima
;; Make faust2caqt and faust2jaqt et al work:
  cd /opt/local/share/qt4/mkspecs
  ln -s macx-llvm macx-clang
;; Alternative in makefiles: 
;; test `qmake --version | tail -1 | sed -e 's/^.*version \([0-9]*\).*$/\1/'` -gt 4 && echo macx-clang || echo macx-g++
;; -
;; git clone
;;   and follow INSTALL instructions [LOVE IT!]
;; Bought and installed KeyNote from the Mac Store ($20)
port install qrencode ;; Faust needs this now [discovered 4/9/14]
octave:1> pkg install -forge control ;; otherwise is_real_matrix is undefined
port install octave-control ;; since the above line failed
octave:1> pkg install -forge control ;; fails still
port install guile ;; for radium
port install lame ;; to convert .mp3 to .wav
;; download and unzip:
mv Grain\ Reverser.amxd /Applications/Ableton\ Live\ 9\\ Devices/
port select --set python python27
port install fortune ;; for fun: fortune | say
port install p7zip ;; needed to unpack a .7z file (Mellotron.7z for NI); installs 7z, 7za, 7zr
  ;; Installed in /Applications/Native Instruments/Reaktor 5/Library/Ensembles/Classics/Synthesizer/
port install swig-python ;; needed by CMU Sphinx
port install octave-signal ;; needed by CMU Sphinx
pkg install /opt/local/var/macports/distfiles/octave-signal/signal-1.2.2.tar.gz ;; try to fix .oct path [failed]
port uninstall llvm-3.2 ;; no longer builds - no dependents
port uninstall --follow-dependents octave ;; trying a complete reinstall of Octave
port -u uninstall --follow-dependents ;; more cruft
port install octave-signal ;; brings in octave, octave-control, octave-general
port install -f octave +fltk +atlas +gcc48 ;; Supplement default = +atlas +gcc48 (needed fltk) [avoid +accelerate]
git clone guitarix
sudo port install liblrdf ;; needed by guitarix
sudo port install slv2 ;; lv2 support needed by guitarix
;; Resolving headbutts with v3.8.1_2:
port list installed | octave
port uninstall octave-control octave-general octave-signal octave-specfun
port install octave-control octave-general octave-signal octave-specfun
;; did not help
port uninstall octave-control octave-general octave-signal octave-specfun octave
;; Apparently had octave @3.8.1_2+atlas+gcc48
port install -f octave +fltk +atlas +gcc48
pkg install -forge control ;; failed
port uninstall octave-control octave
cd <octave source>
 hg -v pull
 hg -v update
 doit =>
 ./configure ;; failed - no usable fortran compiler
 ;; download gfortran.pkg from
 port install qhull ;; Octave's CONFIGURE wanted it for geometry stuff
 port install ql2ps ;; Octave's CONFIGURE wanted it for Open GL printing
 port install qscintilla ;; Octave's CONFIGURE wanted it for builtin GUI editor
 ;; Octave's CONFIGURE can't see qhull or gl2ps - hacked configure file
 ;; Build failed with 5 errors (generic C++ stuff) - punting
 Download 10.9 binary installer from
 ln -s /Applications/ ~/bin/octave
 > octave
  pkg list
  pkg load signal
  pkg load audio
  pkg -forge install control ;; fails
port install octave +fltk +atlas +gcc48
  pkg load signal
  pkg -forge install control ;; fails still
;; downloaded octave-forge control package to /w/octave-forge/control
cd /w/octave-forge/control/src
make ;; fails - clang++ problem, but .oct files build ok it seems, just not the slicot library
port install octave-control ;; appears happy
> tf(1) ;; fails
  not loaded: /opt/local/lib/octave/3.6.4/liboctinterp.1.dylib
sudo port install texlive-fonts-recommended ;; 
updmap ;; 
port uninstall mplayer2 ;; not using it and port upgrade failed - maybe try MPlayer, mplayer-devel instead sometime
port install octave-signal
port install multimarkdown ;; powerdot is dead
port install pandoc ;; for combining multiple files (pulls in a ton of hs-* (Haskell) stuff and ghc)
;; Yosemite upgrade:
xcode-select --install
;; MacPorts dead - website not accessible - trying homebrew:
ruby -e "$(curl -fsSL"
;; cf
brew doctor
brew install octave ;; pulls in pkg-config, gnu-sed, texinfo, fftw, dotwrp, readline, cmake, tbb, libtool, libpng
  ;; filed to install dependency qrupdate: 
  ;; "Error: no implicit conversion of nil into String"
;; Re-install MacPorts from
port -v selfupdate
port -cup upgrade outdated
;; scratch that - follow instructions at
;; upgrade VMware Fusion Pro for $80 to fix unuseable screen mangling in vm (ouch)
port install octave-signal
git clone
  mkdir /usr/local/src ;; 
  ln -s /l/fj/vstsdk3 /usr/local/src/vstsdk
  cd faust-vst; make; make install
  cp faust2faustvst /w/scripts/
  cp -p faustvst.cpp /usr/local/lib/faust
sudo port install py-scipy ;; to define pylab - stub - pulls in stuff
;; Follow (adapted)
sudo port install py27-scipy py27-ipython ;; trying to get pylab going
sudo port install py27-numpy py27-matplotlib ;; trying to get pylab going
sudo port install py27-wxpython-3.0
;; FAQ:
;; Create and add the following to ~/.matplotlib/matplotlibrc
   backend : WXAgg # Use wxpython as the plotting backend.
;; Now this works:
>>> import matplotlib.pyplot as plt
>>> plt.plot([1,2,3])
;; works, but no plot visible. The following fixes it somehow (and works):
python --verbose-helpful
;; where contains:
   from pylab import *
port install py27-pip ;; seems like a nice tool, though I don't need it now
port select --set pip pip27 ;; continuing with that
pip-2.7 install matplotlib ;; does nothing (already done)
pip-2.7 upgrade matplotlib ;; upgraded python-dateutil from 2.2 to 2.3, so ok!
port install octave-symbolic ;; for newtonsMethod.m
port uninstall octave-symbolic ;; so octave would start
port install faustlive-devel ;; check it out!
port installed | grep octave
  octave @3.8.2_3+atlas+gcc48 (active)
  octave-control @2.6.5_0 (active)
  octave-general @1.3.4_0 (active)
  octave-signal @1.2.2_0 (active)
  octave-specfun @1.1.0_0 (active)
port uninstall --follow-dependents octave
>alias octave /Applications/ 
octave> pkg install -forge control ;; fails
octave> pkg load signal
octave> pkg load audio
octave> pkg install -forge statistics ;; fails: "statistics needs io >= 1.0.18"
octave> pkg -verbose install -forge io ;; fails
port install kaffe ;; java - needed to build octave from source - pulls in much stuff - ABORTED
port install automake ;; needed to build octave from source
port install autoconf ;; needed to build octave from source
;; Edit Makefile manually to set AUTOCONF, AUTOHEADER, AUTOMAKE to /opt/local/bin/*
cd /usr/local/Library
git clean -d -f 
brew update
brew tap --repair && brew tap homebrew/science
brew install Caskroom/cask/java
brew link --overwrite gcc
brew install octave
brew install slicot ;; needed by Octave Forge control package
octave> pkg -verbose install -forge control ;; fails
unsetenv CDPATH
octave> pkg -verbose install -forge control ;; fails later in make (Homebrew configure failed)
;; Try to build octave from source (octave-hg)
;; Install Java download:
port install gcc49 ;; gotta bypass clang to build octave
port select --list gcc
port select --set gcc mp-gcc49
brew install gcc49 ;; gotta bypass clang to build octave from source (parallel front)
brew reinstall octave --with-docs ;; to fix `pkg install -forge control` 
;; FAILS due to ghostscript already being there
port install octave +fltk +atlas +gcc49 ;; getting desparate now
alias octave-cli /Applications/ 
alias ohb /usr/local/bin/octave ;; homebrew will collide with source build
alias omp /opt/local/bin/octave
;; remember to try installing things as a new user
octave> pkg -verbose install -forge control ;; WINS!!!
octave> pkg -verbose install -forge general
octave> pkg -verbose install -forge signal
octave> pkg load all
;; octave still crashes and dumps core on exit
sudo port clean --all installed
;; sudo port -f uninstall inactive
;; Declare war on pstricks problem:
;; Indicating error during ps2pdf (I think): Error: /undefined in InitOL
cd /l/p/pstricks/
;;not needed: wget
port installed | grep texlive
port contents texlive-pstricks > port-installed.txt
diff -rcb /l/p/pstricks/texlive-pstricks-15485/runfiles/texmf-dist /opt/local/share/texmf-texlive > diffs.txt
cat doit
sudo /bin/cp -rp /l/p/pstricks/texlive-pstricks-15485/runfiles/texmf-dist/* /opt/local/share/texmf-texlive/
port install octave-control ;; give MacPorts version a chance once again
port install octave-signal  ;; give MacPorts version a chance once again
;; Others maybe needed:
%% general-1.3.2
%% data-smoothing-1.3.0	miscellaneous-1.2.0	specfun-1.1.0
%% dot-dot-octave_packages	optim-1.2.2		struct-1.0.10
/bin/rm -rf /usr/local/octave ;; clean up old pkg installs etc.
port install octave-miscellaneous
port install octave-optim ;; pulls in octave-struct
/bin/rm -rf /opt/local/lib/octave/packages/<anything old>
port install geda-gaf ;; gEDA/gaf - gschem and friends (needed by guitarix)
port install octave-symbolic ;; for itself, and pulls in py-sympy needed by guitarix
port select --set py-sympy py27-sympy
Install PhoneView from
port install gsl ;; math numerical library
port install gtkmm ;; for guitarix
port install avahi ;; for guitarix
port install eigen3 ;; for guitarix
;; for guitarix, had to hack wscript to add '-mt' to 'boost_system' and ldflags=[ '-L/opt/local/lib' ]
port install lv2 +universal ;; testing - seemed to help
port install py27-pygtk ;; resolving undefined symbols in write-jason
port install python-pygtk ;; resolving undefined symbols in write-jason
port install py27-pygtkhelpers ;; keeping on trying
port install glibmm +devel ;; etc
port install py-fabric ;; See
port install py-pyaudio
sudo port uninstall --follow-dependents atk ;; because x86 arch failed to build => removed the following:
        --->  	atkmm @2.22.7_1
        --->  	py27-pygtk @2.24.0_3+x11
        --->  	at-spi2-atk @2.16.0_0
        --->  	gtk2 @2.24.28_0+x11
        --->  	gtk3 @3.16.4_0+x11
;; still failing on other +universal packages that can't build for arch x86 (like Faust)
port -qv installed > ~/etc/port-qv-install.`shortdate`.txt ;; ~/etc/port-qv-install.2015-06-30.txt
port -fp uninstall --follow-dependents installed
port clean all
curl -O
chmod +x restore_ports.tcl
;; No: sudo ./restore_ports.tcl ~/etc/port-qv-install.`shortdate`.txt
;; Instead:
port install octave-signal
;; FAILED: Atlas failed due to no fortran compiler and suggested installing gcc4x
port install octave +fltk +atlas +gcc49 ;; used previously - pulls in gcc49 only
;; FAILED due to clang having been chosen for atlas before:
port clean atlas
port install octave +fltk +atlas +gcc49 ;; used previously - pulls in gcc49 only
     Selected C compiler: /opt/local/bin/gcc-mp-4.9
     Selected F77 compiler: gfortran49
     Warning: GCC compilers on MacOS do not support AVX: downgrading. [Advanced Vector Extensions]
     ;; and later at the end:
     --->  Activating octave @3.8.2_9+atlas+gcc49+glgui
     WARNING: Dependency 'arpack' is installed with the +accelerate variant, using
     Apple's Vector Libraries which have some known bugs that can cause Octave to
     crash if using certain functions in arpack.  The +atlas variant does not have
     these issues with Octave, but does take many hours to compile even on modern
;; perhaps we should have said "port install octave +fltk +gcc49 +atlas'
;; so far, no "universal" installed packages
;; In the mood to clean things up:
    cd `brew --prefix`
    rm -rf Cellar
    brew prune
    rm `git ls-files`
    rm -r Library/Homebrew Library/Aliases Library/Formula Library/Contributions
    rm -rf .git
    rm -rf ~/Library/Caches/Homebrew
;; for more details, see ~/etc/octave-signal-install-log.txt
port install qt5-mac ;; for f2ca
launchctl load -w /Library/LaunchDaemons/org.freedesktop.dbus-system.plist
launchctl load -w /Library/LaunchAgents/org.freedesktop.dbus-session.plist
;; no qmake until:
setenv PATH "${PATH}:/opt/local/libexec/qt5-mac/bin"
port install git-extras ;; really like "git info" - say port contents git-extras | grep bin | less
port install wget
port install w3m ;; needed to do the following instead:
port install emacs-w3m-devel ;; ~/.emacs presently requires this
cd <anyproject>; git config --global core.excludesfile ~/.gitignore_global; <edit the ignore file>
cd /l/pc; git update-index --assume-unchanged GeoShred/GeoShred.xcodeproj/xcuserdata/jos.xcuserdatad/xcdebugger/Breakpoints_v2.xcbkptlist
port install py34-numpy
port install py34-scipy
port install py34-matplotlib
port select --set python python34
port select --set python3 python34
edit ~/matplotlib/.matplotlibrc as follows:
  backend : QtAgg
  #original [jos 2015/7/28]: backend : WXAgg # Use wxpython as the plotting backend.
port install libsndfile
port install sox ;; for play (stest)
port install rb19-bundler ;; playing with staticgen (written in ruby)
     pulled in b19-ronn rb19-hpricot ruby19 libyaml ruby_select
     rb19-mustache rb19-rdiscount rb19-rspec
port install octave-optim ;; need lsqlin for MoForte calibration work
port install mercurial ;; hg needed for octave
port install markdown-mode.el ;; installs in /opt/local/share/emacs/site-lisp/markdown-mode.el
port install ncurses +universal ;; for /w/juce_faustllvm
port install zlib +universal    ;; "
port install openssl +universal ;; "
port install llvm-3.5 +universal;; "
sudo port install llvm-3.4 +universal ;; faust2 requires (argh!)
llvm-config --libs ;; add to Extra Linker Flags in JUCER settings
port install texlive +letter

     ;; pulls in texlive-basic texlive-bin harfbuzz-icu libzzip
        poppler openjpeg15 poppler-data potrace texlive-common xorg-libXaw
        xorg-libXp xorg-printproto texlive-bin-extra detex dvipng t1lib
        latexdiff p5.16-algorithm-diff latexmk texlive-latex pdfjam
        texlive-latex-recommended pgf texlive-context
        texlive-fonts-recommended texlive-math-extra texlive-metapost
        texlive-xetex texlive-generic-recommended texlive-fontutils
        lcdf-typetools ps2eps psutils t1utils texlive-lang-czechslovak
        texlive-lang-english texlive-lang-european texlive-lang-french
        texlive-lang-german texlive-lang-italian texlive-lang-polish
        texlive-lang-portuguese texlive-lang-spanish texlive-luatex
port list texlive-\\* and not installed ;; yes, you can really say that
port install netpbm aspell-dict-en ImageMagick xfig ;; needed for l2h & devel (from "Summary" above)
port install py-mysql ;; aiming toward using SQLAlchemy
     ;; pulls in py27-mysql mariadb mysql_select tcp_wrappers
port install mysql5 ;; why not pulled in already?
     ;; Warning: All compilers are either blacklisted or unavailable
port install libsamplerate ;; need sndfile-resample
port install ngspice ;; Circuit simulator based on Spice 3f5, XSpice and others
port install ngspice-docs
;; download and install the spice3-compatible MacSpice:
;; download and install ltspice:
port install aspell ;; aspell --mode=tex -c
;; not done yet: brew install emacs --cocoa
;;               ln -s /usr/local/Cellar/emacs/23.2/ /Applications/
;;     then try: M-x ns-toggle-fullscreen
port install texlive-pstricks ;; for presentations using powerdot
sudo ln -s /opt/local/libexec/qt5/bin/qmake /usr/local/bin ;; name change (qt5-mac -> qt5)
port install mpage ;; for making multipage software listings for printing

Next  |  Prev  |  Up  |  Top  |  JOS Index  |  JOS Pubs  |  JOS Home  |  Search

Download mycomputers.pdf
[Comment on this page via email]

``My Computers'', by Julius O. Smith III, Web document.
Copyright © 2015-11-29 by Julius O. Smith III
Center for Computer Research in Music and Acoustics (CCRMA),   Stanford University